Summary:	Linux USB utilities
Name:		usbutils
Version:	018
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://sourceforge.net/projects/linux-usb/
Source0:	https://www.kernel.org/pub/linux/utils/usb/usbutils/%{name}-%{version}.tar.xz

BuildRequires:	meson
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(gtk+-3.0)
Requires:	ldetect-lst >= 0.1.282

%description
This package contains the lsusb utility for inspecting the devices
connected to the USB bus. It shows a graphical representation of the
devices that are currently plugged in, showing the topology of the
USB bus. It also displays information on each individual device on
the bus.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%license LICENSES/GPL*
%doc NEWS
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 018-2.mga10
+ Revision: 2230469
- Mageia 10 Mass Rebuild

* Fri Nov 29 2024 daviddavid <daviddavid> 018-1.mga10
+ Revision: 2119923
- new version: 018
- switch to meson build system

* Tue Feb 27 2024 daviddavid <daviddavid> 017-2.mga10
+ Revision: 2044808
- drop unneeded/unwanted pkgconfig file in a non devel pkg

* Tue Dec 05 2023 daviddavid <daviddavid> 017-1.mga10
+ Revision: 2013434
- new version: 017

* Fri Dec 30 2022 daviddavid <daviddavid> 015-1.mga9
+ Revision: 1928184
- update to 015

* Wed Mar 30 2022 umeabot <umeabot> 014-3.mga9
+ Revision: 1835612
- Mageia 9 Mass Rebuild

* Tue Aug 17 2021 tv <tv> 014-2.mga9
+ Revision: 1741770
- Drop useless --disable-zlib flag (uneeded since usbutils droped usb.ids)
- There's no more libary to clean from installation:
  usbutils 0.73+ uses the system's libusb to access USB devices instead of a
  private library
- usb.ids is not shipped with usbutils for a long time
- Cleanup spec: licenses now shipped upstream

* Sat Aug 07 2021 tmb <tmb> 014-1.mga9
+ Revision: 1739990
- update to 014

* Thu Oct 29 2020 tv <tv> 013-1.mga8
+ Revision: 1640431
- Update to 013
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 012-2.mga8
+ Revision: 1526288
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon May 13 2019 luigiwalser <luigiwalser> 012-1.mga7
+ Revision: 1397532
- 012
- remove upstream patches (and simplify spec, from fedora)

* Tue Nov 13 2018 tv <tv> 010-1.mga7
+ Revision: 1329747
- new release

* Sun Sep 23 2018 umeabot <umeabot> 009-2.mga7
+ Revision: 1301546
- Mageia 7 Mass Rebuild

* Sat Jan 06 2018 daviddavid <daviddavid> 009-1.mga7
+ Revision: 1190710
- new version: 009

* Tue Feb 09 2016 umeabot <umeabot> 008-2.mga6
+ Revision: 952413
- Mageia 6 Mass Rebuild

* Sat Feb 21 2015 ennael <ennael> 008-1.mga5
+ Revision: 816212
- new version: 008

* Wed Oct 15 2014 umeabot <umeabot> 007-5.mga5
+ Revision: 747664
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 007-4.mga5
+ Revision: 690093
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 007-3.mga5
+ Revision: 643807
- Replace libusb*-devel BuildRequires by better ones

* Sat Oct 19 2013 umeabot <umeabot> 007-2.mga4
+ Revision: 528398
- Mageia 4 Mass Rebuild

* Wed Jun 19 2013 sander85 <sander85> 007-1.mga4
+ Revision: 444843
- New version: 007

* Mon Jan 14 2013 umeabot <umeabot> 006-3.mga3
+ Revision: 385165
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 pterjan <pterjan> 006-2.mga3
+ Revision: 344369
- Use upstream version, the package in cauldron was actually using it unlike svn
- Switch again to .xz
- Fix upstream version
+ tv <tv>
- BR gtk+3-devel
- new release
- do not package obsolete ChangeLog

* Fri Jul 13 2012 tv <tv> 006-1.mga3
+ Revision: 270603
- switch to xz sources
- new release

* Wed Dec 14 2011 tv <tv> 005-1.mga2
+ Revision: 181637
- new release
- new release
- new upstream
- new release

* Tue Jan 11 2011 pterjan <pterjan> 0.91-1.mga1
+ Revision: 6421
- Drop old confilct
- imported package usbutils


* Sat Oct 23 2010 Thomas Backlund <tmb@mandriva.org> 0.91-1mdv2011.0
+ Revision: 587800
- update to 0.91

* Sat Sep 04 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.90-1mdv2011.0
+ Revision: 575879
- update to new version 0.90

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.87-1mdv2010.1
+ Revision: 543221
- update to new version 0.87

* Fri Jan 08 2010 Frederic Crozat <fcrozat@mandriva.com> 0.86-2mdv2010.1
+ Revision: 487686
- Remove usb.ids, moved to ldetect-lst

* Tue Aug 18 2009 Thierry Vignaud <tv@mandriva.org> 0.86-1mdv2010.0
+ Revision: 417753
- new release
- adjust filelist
- add alternative URL
- drop BuildConflicts: zlib-devel (useless with the configure option)

* Sun Jun 28 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.84-2mdv2010.0
+ Revision: 390294
- remove buildrequires on wget

* Thu Jun 25 2009 trem <trem@mandriva.org> 0.84-1mdv2010.0
+ Revision: 389227
- update to 0.84
- remove launch of ./update-usbids.sh

* Mon May 11 2009 Thierry Vignaud <tv@mandriva.org> 0.82-1mdv2010.0
+ Revision: 374593
- new release
- drop patch 1 (fixed upstream)

* Tue May 05 2009 Thierry Vignaud <tv@mandriva.org> 0.81-1mdv2010.0
+ Revision: 372107
- new release
- prevent aborting build when network is not available
- patch 0: drop it (not documented why it's there, and anyway upstream is
  switching from /proc/bus/usb to /dev/bus/usb, not to /sys/)
- patch 1: add missing update-usbids.sh (already fixed in git upstream)

* Tue Feb 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.73-3mdv2009.1
+ Revision: 339065
- new license policy
- Patch0: add support for sysfs
- hal doesn't read gzip'd usb.ids file, buildconflict on zlib-devel
- run update-usbids.sh to fetch latest usb.ids from upstream
- better description

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.73-2mdv2009.0
+ Revision: 225910
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.73-1mdv2008.1
+ Revision: 102463
- new version
- disable patch 0 for now

* Fri Oct 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.72-4mdv2008.1
+ Revision: 100089
- rediff patch 0, should fix bug #34887

* Mon Aug 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.72-3mdv2008.0
+ Revision: 68038
- provide patch 1 (more ids from Diego Flameeyes Petteno and me ;)
- spec file clean


* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 0.72-2mdv2007.0
+ Revision: 108267
- Import usbutils

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 0.72-2mdv2007.1
- Rebuild

* Fri Apr 21 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.72-1mdk
- 0.72
- use usb.ids shipped with source as it's more up to date

* Fri Dec 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.71-1mdk
- 0.71
- drop P1(merged upstream)
- update usb.ids
- cosmetics

* Fri Aug 26 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.70-4mdk
- update usb.ids

* Tue Mar 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.70-3mdk
- update usb.ids

* Sat Feb 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.70-2mdk
- add BuildRequires: libusb-devel

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.70-1mdk
- new release (USB2.0 aware)
- rediff patch 0
- kill patch 1 (merged upstream)

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-9mdk
- update usb.ids
- kill useless prefix

* Thu Jan 06 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-8mdk
- update usb.ids
- kill patch 2 (merged upstream)

* Thu Dec 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-7mdk
- update ids list
- patch 1 : handle unknown HID Country Code entries in usb.ids
- patch 2 : kill duplicated entries
- kill now useless hack

* Thu Dec 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-6mdk
- update ids list

* Sun Feb 08 2004 Pixel <pixel@mandrakesoft.com> 0.11-5mdk
- fix usage (bugzilla #7525)
- update ids list

